require 'action_view'
require 'tilt'

module PORTL
  autoload :Engine, 'portl/engine'
  autoload :HTML, 'portl/html'
  autoload :Template, 'portl/template'
  autoload :VERSION, 'portl/version'

  # Compiles a PORTL template.
  #
  # @param [String] data The Ruby code of the template being compiled.
  # @param [Object] scope An object the engine uses for its context.
  # @param [Hash] options Options to pass to the engine.
  # @return [String] The compiled code.
  def self.compile(data, scope=nil, options={})
    PORTL::Engine.new(data, scope, options).result
  end
end

# Register the .rb extension with Tilt
Tilt.register PORTL::Template, 'rb'
